<template>
<el-main>
  <el-form ref="form" :model="form" label-width="105px">
    <el-row>
      <el-col :span="12">
        <el-form-item label="文号">
        <el-input v-model="form.unitName" placeholder="——————罚责改通字〔    〕第————号"></el-input>
        </el-form-item>
      </el-col>
      <el-col :span="12">
        <el-form-item label="当事人">
          <el-input v-model="form.litigant" placeholder="请填写当事人姓名"></el-input>
        </el-form-item>
      </el-col>
    </el-row>
    <el-form-item label="证件号/信用码">
      <el-input v-model="form.certNo" placeholder="请填写身份证号码/统一社会信用代码"></el-input>
    </el-form-item>
    <el-form-item label="地址">
      <el-input v-model="form.address" placeholder="请填写当事人地址"></el-input>
    </el-form-item>
    <el-row>
      <el-col :span="12">
        <el-form-item label="负责人">
          <el-input v-model="form.legalPerson" placeholder="请填写法定代表人（负责人/经营者）"></el-input>
        </el-form-item>
      </el-col>
      <el-col :span="12">
        <el-form-item label="联系电话">
          <el-input v-model="form.legalPersonPhone" placeholder="请填写联系电话"></el-input>
        </el-form-item>
      </el-col>
    </el-row>
    <el-form-item label="相关规定">
      <el-input v-model="form.relevantProvision" placeholder="请填写相关规定"></el-input>
    </el-form-item>
    <el-row>
      <el-col :span="12">
        <el-form-item label="检查时间">
          <el-date-picker
            v-model="form.inspectionTime"
            type="date"
            style="width: 100%!important;"
            :value-format="`yyyy-MM-dd`"
            placeholder="选择日期">
          </el-date-picker>
        </el-form-item>
      </el-col>
      <el-col :span="12">
        <el-form-item label="检查事项">
          <el-input v-model="form.items" placeholder="请填写联系电话"></el-input>
        </el-form-item>
      </el-col>
    </el-row>
    <el-form-item label="存在问题">
      <el-input type="textarea" v-model="form.openQuestions" placeholder="请填写存在问题"></el-input>
    </el-form-item>
    <el-form-item label="法律依据">
      <el-input v-model="form.legalBasis" placeholder="请填写法律依据"></el-input>
    </el-form-item>
    <el-form-item label="依据法律规定">
      <el-input v-model="form.regulations" placeholder="请填写依据法律规定"></el-input>
    </el-form-item>
    <el-row>
      <el-col :span="12">
        <el-form-item label="联系人">
          <el-input v-model="form.phoneName" placeholder="请填写联系电话"></el-input>
        </el-form-item>
      </el-col>
      <el-col :span="12">
        <el-form-item label="联系电话">
          <el-input v-model="form.phone" placeholder="请填写联系电话"></el-input>
        </el-form-item>
      </el-col>
    </el-row>
    <el-form-item label="联系住址">
      <el-input v-model="form.place" placeholder="请填写联系住址"></el-input>
    </el-form-item>
    <el-row>
      <el-col :span="12">
        <el-form-item label="改正时间">
          <el-date-picker
            v-model="form.correctTime"
            type="date"
            style="width: 100%!important;"
            :value-format="`yyyy-MM-dd`"
            placeholder="选择日期">
          </el-date-picker>
        </el-form-item>
      </el-col>
      <el-col :span="12">
        <el-form-item label="扣章时间">
          <el-date-picker
            v-model="form.executionTime"
            type="date"
            style="width: 100%!important;"
            :value-format="`yyyy-MM-dd`"
            placeholder="选择日期">
          </el-date-picker>
        </el-form-item>
      </el-col>
    </el-row>
  </el-form>
  <div style="text-align: center">
    <el-button v-if="form.registerState=='0'||form.registerState==null" @click="dataFormSubmit('0')">保存</el-button>
    <el-button type="primary" @click="viewVord(form)">预览</el-button>
    <el-button v-if="form.registerState=='1'" type="success" @click="downloadWord(form)">下载</el-button>
  </div>
</el-main>
</template>

<script>
import {createword, ordercorrec, ordercorrection} from '../../../api/News/pad'

export default {
  name: "mangeGZ",
  data(){
    return{
        id:'',
      form:{
        unitName:"",
        litigant:"",
        certNo:"",
        address:"",
        legalPerson:"",
        legalPersonPhone:"",
        relevantProvision:"",
        inspectionTime:"",
        items:"",
        openQuestions:"",
        legalBasis:"",
        regulations:"",
        phoneName:"",
        phone:"",
        place:"",
        correctTime:"",
        executionTime:"",
      },
    }
  },
  mounted() {
    this.id = this.$store.state.user.id
    this.getDataList()
  },
  methods:{
    getDataList(){
      ordercorrection(this.id).then(res =>{
        this.form =res.data.data
      })
    },
    dataFormSubmit(){
      this.form.registerId = this.id
      ordercorrec(this.form).then(res =>{
        if (res.data.code == 0) {
          this.$message.success("操作成功");
        }
      })
    },
    //点击预览
    viewVord(data) {
      // let wordData = this.transforData(data);
      createword(data).then(res =>{
        // console.log(this.form.id)
        console.log(res,'123456')
        window.android.toPreviewWord(res.data.data)
      }).catch(err=>{
        console.log(err,'错误');
      })
    },
    //点击下载
    downloadWord(data){
      createword(data).then(res =>{
        // console.log(this.form.id)
        console.log(res,'123456')
        window.android.toPreviewWord(res.data.data)
      }).catch(err=>{
        console.log(err,'错误');
      })
      // WordView.methods.exportDoc(wordData, "/wordes/inquiryCause.docx", "调查询问笔录.docx")
    },
  },
}
</script>

<style scoped>

</style>
